[ Maverik Level 1 typedefs ]

#

MAV_facet

## Summary

Default object class ``facet''.

## Syntax

    typedef struct {
      int npolys;
      int *np;
      MAV_vector **norm;
      MAV_texCoord **tex;
      MAV_vector **vert;
      MAV_surfaceParams **sp;
      MAV_matrix matrix;
      void *userdef;
    } MAV_facet;

## Description

A facet is a number of polygons which share a common transformation matrix and which allow a normal to be defined for each vertex, rather than for each polygon, thus allowing Gouraud shading across the face of the polygon. They are defined in a similar manner to the polygon group, but with a normal, `norm`, per vertex.

Back to the index page.